PredicateNotFrom (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.core.predicates

## Class PredicateNotFrom

- java.lang.Object
- - org.cloudbus.cloudsim.core.predicates.Predicate
  - - org.cloudbus.cloudsim.core.predicates.PredicateNotFrom

-     public class PredicateNotFrom
      extends Predicate

  A predicate which selects events that have not been sent by specific entities.
  Since:
    CloudSim Toolkit 1.0
  Author:
    Marcos Dias de Assuncao
  See Also:
    `PredicateFrom`, `Predicate`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PredicateNotFrom(int sourceId)` Constructor used to select events that were not sent by a specific entity.
    `PredicateNotFrom(int[] sourceIds)` Constructor used to select events that were not sent by any entity from a given set.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `match(SimEvent ev)` The match function called by `Simulation`, not used directly by the user.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PredicateNotFrom

          public PredicateNotFrom(int sourceId)

      Constructor used to select events that were not sent by a specific entity.
      Parameters:
        `sourceId` - the id number of the source entity

    - #### PredicateNotFrom

          public PredicateNotFrom(int[] sourceIds)

      Constructor used to select events that were not sent by any entity from a given set.
      Parameters:
        `sourceIds` - the set of id numbers of the source entities

  - ### Method Detail

    - #### match

          public boolean match(SimEvent ev)

      The match function called by `Simulation`, not used directly by the user.
      Specified by:
        `match` in class `Predicate`
      Parameters:
        `ev` - the event to check
      Returns:
        `true` if the event matches the predicate, `false` otherwise

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.